gss_duplicate_name(3)

NAME
gss_duplicate_name - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_duplicate_name(OM_uint32 * minor_status, const gss_name_t src_name, gss_name_t * dest_name);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

const gss_name_t src_name
    (gss_name_t, read) Internal name to be duplicated.

gss_name_t * dest_name
    (gss_name_t, modify) The resultant copy of src_name.
      Storage associated with this name must be freed by the application
      after use with a call to gss_release_name().

DESCRIPTION
Create an exact duplicate of the existing internal name src_name. The new dest_name will be independent of src_name (i.e. src_name and dest_name must both be released, and the release of one shall not affect the validity of the other).

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_BAD_NAME`: The src_name parameter was ill-formed.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.